datacache <- new.env(hash=TRUE, parent=emptyenv())

mogene11stv1mmug <- function() showQCData("mogene11stv1mmug", datacache)
mogene11stv1mmug_dbconn <- function() dbconn(datacache)
mogene11stv1mmug_dbfile <- function() dbfile(datacache)
mogene11stv1mmug_dbschema <- function(file="", show.indices=FALSE) dbschema(datacache, file=file, show.indices=show.indices)
mogene11stv1mmug_dbInfo <- function() dbInfo(datacache)

mogene11stv1mmugORGANISM <- "Mus musculus"

.onLoad <- function(libname, pkgname)
{
    require("methods", quietly=TRUE)
    ## Connect to the SQLite DB
    dbfile <- system.file("extdata", "mogene11stv1mmug.sqlite", package=pkgname, lib.loc=libname)
    assign("dbfile", dbfile, envir=datacache)
    dbconn <- dbFileConnect(dbfile)
    assign("dbconn", dbconn, envir=datacache)
    ## Create the AnnObj instances
    ann_objs <- createAnnObjs.SchemaChoice("MOUSECHIP_DB", "mogene11stv1mmug", "chip mogene11stv1mmug", dbconn, datacache)
    mergeToNamespaceAndExport(ann_objs, pkgname)
}

.onUnload <- function(libpath)
{
    dbFileDisconnect(mogene11stv1mmug_dbconn())
}

